From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/csv23/
Date: Thu, 28 May 2020 18:35:32 +0000 (UTC) [thread overview]
Message-ID: <1590690929.8d88a7f11aa04f46016a53cb9889a611929224cb.mgorny@gentoo> (raw)
commit: 8d88a7f11aa04f46016a53cb9889a611929224cb
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu May 28 18:34:15 2020 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu May 28 18:35:29 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8d88a7f1
dev-python/csv23: Bump to 0.3.2
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/csv23/Manifest | 1 +
dev-python/csv23/csv23-0.3.2.ebuild | 32 ++++++++++++++++++++++++++++++++
2 files changed, 33 insertions(+)
diff --git a/dev-python/csv23/Manifest b/dev-python/csv23/Manifest
index dd664de3a7e..5a6eaba0258 100644
--- a/dev-python/csv23/Manifest
+++ b/dev-python/csv23/Manifest
@@ -1 +1,2 @@
DIST csv23-0.3.1.tar.gz 23959 BLAKE2B 076c1a3f52d4cf6283716c366c3b44d3cae4012ae7613e24193aa7d8e0ac96e4ee9d1325219dd90ada26970cb3fde093730224f0f9bda3cadc921d9a5465b317 SHA512 25a0e06529edab89e4541cd7622a980af2cc31eff62db9f659af5305bfdbdcd388354b38a6f725d81e2f39fb48bec7adb287bb0577e973b5709a38ff03456037
+DIST csv23-0.3.2.tar.gz 24132 BLAKE2B 2c5eb231814e087dce9689c7075bdbc3875b3e200dc1273022d55661ec60f18a5bcb03e062b205fde13e845e5e50d530b07596b51ad7b2a89e41b45629bf3ce8 SHA512 289386cce5de4ae5bc42fc56d1639bbd1483034e5422f63142c1d188de735b1f5f18f9f69e3cb96f4ac3e1d7d0b371b1c45e720982c4f4b539fcf0d2da893f6a
diff --git a/dev-python/csv23/csv23-0.3.2.ebuild b/dev-python/csv23/csv23-0.3.2.ebuild
new file mode 100644
index 00000000000..afd6b765ddd
--- /dev/null
+++ b/dev-python/csv23/csv23-0.3.2.ebuild
@@ -0,0 +1,32 @@
+# Copyright 2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python{2_7,3_{6,7,8,9}} pypy3 )
+inherit distutils-r1
+
+DESCRIPTION="Python 2/3 unicode CSV compatibility layer"
+HOMEPAGE="
+ https://pypi.org/project/csv23/
+ https://github.com/xflr6/csv23/"
+SRC_URI="https://github.com/xflr6/csv23/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+# note: upstream really uses mock at runtime
+RDEPEND="
+ $(python_gen_cond_dep 'dev-python/mock[${PYTHON_USEDEP}]' -2)"
+BDEPEND="
+ test? (
+ >=dev-python/pytest-4.6[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}] )"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -i -e '/--cov/d' setup.cfg || die
+ distutils-r1_src_prepare
+}
next reply other threads:[~2020-05-28 18:35 UTC|newest]
Thread overview: 28+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-05-28 18:35 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2021-05-24 2:39 [gentoo-commits] repo/gentoo:master commit in: dev-python/csv23/ Joshua Kinard
2020-11-28 15:26 Sam James
2020-11-28 15:26 Sam James
2020-09-20 20:33 Michał Górny
2020-09-20 9:36 Michał Górny
2020-09-19 20:18 Mikle Kolyada
2020-09-07 8:47 Sergei Trofimovich
2020-09-07 8:20 Sergei Trofimovich
2020-08-05 14:08 Agostino Sarubbo
2020-08-04 23:51 Sam James
2020-08-04 3:39 Sam James
2020-08-03 16:34 Sergei Trofimovich
2020-07-30 21:30 Sam James
2020-06-01 20:30 Michał Górny
2020-05-31 23:10 Matt Turner
2020-05-30 20:04 Sergei Trofimovich
2020-05-30 19:48 Michał Górny
2020-05-30 12:48 Michał Górny
2020-05-30 7:46 Michał Górny
2020-05-29 20:42 Sergei Trofimovich
2020-05-29 12:04 Michał Górny
2020-05-28 18:36 Michał Górny
2020-05-26 9:26 Michał Górny
2020-05-03 6:36 Michał Górny
2020-05-02 10:32 Michał Górny
2020-04-30 11:06 Michał Górny
2020-04-30 9:45 Michał Górny
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1590690929.8d88a7f11aa04f46016a53cb9889a611929224cb.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox